slepc-3.21.1 2024-04-26
Report Typos and Errors

# DSRestoreArray

Restores the matrix after DSGetArray() was called.

### Synopsis

    #include "slepcds.h"
    PetscErrorCode DSRestoreArray(DS ds,DSMatType m,PetscScalar *a[])

Not Collective

### Input Parameters

| ds | - the direct solver context
| m | - the requested matrix
| a | - pointer to the values

### See Also

DSGetArray(), DSGetArrayReal()

### Level

advanced

### Location

src/sys/classes/ds/interface/dsops.c
Index of all DS routines
Table of Contents for all manual pages
Index of all manual pages